/**
   Bojan Nikolic <b.nikolic@mrao.cam.ac.uk>, <bojan@bnikolic.co.uk>
   Initial version October 2011

   \file almaabs_c.h

   C-language bindings to the retrieval of pahse correction
   coefficients from absolute temperatures   
*/
#ifndef _LIBAIR_ALMAABS_C_H__
#define _LIBAIR_ALMAABS_C_H__

#include <stddef.h>


#include <almawvr/alma_datastruct.h>

#ifdef __cplusplus
extern "C" {
#endif

  /** Retrieve the phase correction at a number of points during an
      observation.
      
      \param inp a pointer to array of length n of input structures
      
      \param n The number of input/output points
      
      \param out a pointer to array of length n of output structures
   */
  void almaabs_ret(const ALMAAbsInput *inp,
    size_t n,
    ALMARes_Basic *out);

#ifdef __cplusplus
}
#endif


#endif
